CSB-HHFRAG(1)

NAME
csb-hhfrag - build a dynamic variable-length fragment library for protein structure

DESCRIPTION
usage: csb-hhfrag [-h] [-H HHSEARCH] -d DATABASE [-m MIN] [-M MAX] [-s STEP]

    [-c CPU] [-g GAP_FILLING] [-F FILTERED_FILLING] [-f] [--c-alpha] [-t CONFIDENCE_THRESHOLD] [-v VERBOSITY] [-o OUTPUT] QUERY

HHfrag: build a dynamic variable-length fragment library for protein structure prediction with Rosetta AbInitio.

  positional arguments:

QUERY
    query profile HMM (e.g. created with csb.apps.buildhmm)

  optional arguments:

-h, --help
    show this help message and exit

-H HHSEARCH, --hhsearch HHSEARCH
    path to the HHsearch executable (default=hhsearch)

-d DATABASE, --database DATABASE
    database directory (containing PDBS25.hhm)

-m MIN, --min MIN
    minimum query segment length (default=6)

-M MAX, --max MAX
    maximum query segment length (default=21)

-s STEP, --step STEP
    query segmentation step (default=3)

-c CPU, --cpu CPU
    maximum degree of parallelism (default=4)

-g GAP_FILLING, --gap-filling GAP_FILLING
    path to a fragment file (e.g. CSfrag or Rosetta NNmake), which will be used to complement lowconfidence regions (when specified, a hybrid fragment library be produced)

-F FILTERED_FILLING, --filtered-filling FILTERED_FILLING
    path to a filtered fragment file (e.g. filtered CSfrag-ments), which will be mixed with the HHfrag-set and then filtered, resulting in a double-filtered library

-f, --filtered-map
    make an additional filtered fragment map of centroids and predict torsion angles (default=False)

--c-alpha
    include also C-alpha vectors in the output (default=False)

-t CONFIDENCE_THRESHOLD, --confidence-threshold CONFIDENCE_THRESHOLD
    confidence threshold for gap filling (default=0.7)

-v VERBOSITY, --verbosity VERBOSITY
    verbosity level (default=2)

-o OUTPUT, --output OUTPUT
    output directory (default=.)

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.